Name:       js-scriptaculous
Version:    1.8.3
Release:    1%{?dist}
BuildArch:  noarch

License:    MIT
Summary:    JavaScript framework for visual effects and interface behaviours
URL:        http://script.aculo.us
Source0:    %{url}/dist/scriptaculous-js-%{version}.tar.bz2

BuildRequires: web-assets-devel
Requires:      js-prototype >= 1.6.1
Requires:      web-assets-filesystem


%description
script.aculo.us is an open-source JavaScript framework for visual effects and
interface behaviours.


%prep
%autosetup -n scriptaculous-js-%{version}

# Fix encoding
iconv -f iso-8859-1 -t utf-8 CHANGELOG > CHANGELOG.utf8
touch -r CHANGELOG CHANGELOG.utf8
mv -f CHANGELOG.utf8 CHANGELOG


%build
# Nothing to build


%install
cd src/
install -d -m 0755 %{buildroot}/%{_jsdir}
install -d -m 0755 %{buildroot}/%{_jsdir}/scriptaculous
install -D -p -m 0644 *.js %{buildroot}/%{_jsdir}/scriptaculous/


%files
%license MIT-LICENSE
%doc CHANGELOG README.rdoc
%{_jsdir}/scriptaculous/


%changelog
* Thu Jul 13 2023 Xavier Bachelot <xavier@bachelot.org> - 1.8.3-1
- Initial release
